.hf-worldmap-wrapper:has(.container.white) {
    background: #fff;
}

.hf-worldmap-wrapper .container.darkgray,
.hf-worldmap-wrapper .hf-worldmap.darkgray {
    background: #1a1a1a;
}

.hf-worldmap-wrapper .container.black,
.hf-worldmap-wrapper .hf-worldmap.black {
    background: #000;
}

.hf-worldmap-wrapper .container.white,
.hf-worldmap-wrapper .hf-worldmap.white {
    background: #fff;
}

.hf-worldmap-wrapper .container.whitegradient,
.hf-worldmap-wrapper .hf-worldmap.whitegradient {
    background: var(--white-gradient);
}

.hf-worldmap-wrapper .container.gradient,
.hf-worldmap-wrapper .hf-worldmap.gradient {
    background: var(--main-gradient);
}

.hf-worldmap-wrapper .container.gradientflip,
.hf-worldmap-wrapper .hf-worldmap.gradientflip {
    background: var(--main-gradient-flipped);
}

.hf-worldmap-wrapper .container.bluegradient .hf-worldmap-wrapper .hf-worldmap.bluegradient {
    background: var(--blue-gradient);
}

.hf-worldmap-wrapper .container.purplegradient,
.hf-worldmap-wrapper .hf-worldmap.purplegradient {
    background: var(--purple-gradient);
}

.hf-worldmap-wrapper .container.pinkgradient,
.hf-worldmap-wrapper .hf-worldmap.pinkgradient {
    background: var(--pink-gradient);
}

.hf-worldmap-wrapper .hf-worldmap-text-wrap {
    color: #000;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 60px;
}

.hf-worldmap-wrapper .hf-worldmap-text-wrap h2 {
    color: #000;
    flex-basis: 50%;
}

.hf-worldmap-wrapper .hf-worldmap-text-wrap .hf-worldmap-description {
    flex-basis: 64%;
    padding-right: 8%;
}

.hf-worldmap-wrapper .container.darkgray .hf-worldmap-text-wrap,
.hf-worldmap-wrapper .container.darkgray .hf-worldmap-text-wrap h2,
.hf-worldmap-wrapper .container.black .hf-worldmap-text-wrap,
.hf-worldmap-wrapper .container.black .hf-worldmap-text-wrap h2 {
    color: #fff;
}

.hf-worldmap-wrapper .map-location.lighttext {
    color: #fff;
}

.hf-worldmap-wrapper .map-location.darktext {
    color: #000;
}

.hf-worldmap-wrapper .map-scroll-container {
    overflow-x: auto;
    /* Enable horizontal scrolling */
    -webkit-overflow-scrolling: touch;
    /* Smooth scrolling on iOS devices */
    overflow-y: hidden;
    width: 1080px;
    max-width: 100%;
    position: relative;
    /* Required for touch-drag functionality */
    margin: auto;
}

.hf-worldmap-wrapper .hf-worldmap-map-wrap {
    position: relative;
    margin: auto;
    width: 1080px;

}

.hf-worldmap-wrapper .hf-worldmap-map-wrap .map {
    /* position: absolute;
    top: 0;
    left: 0;
    z-index: 1;*/
    margin-top: 20px;
}

.hf-worldmap-wrapper .hf-worldmap-map-wrap .hf-worldmap-map-overlay {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
}

.hf-worldmap-wrapper .map-location {
    position: absolute;
    font-size: 16px;
    line-height: 150%;
    z-index: 5;
}

.hf-worldmap-wrapper .map-location.textleft {
    text-align: left;
}

.hf-worldmap-wrapper .map-location.textright {
    text-align: right;
}

@media (max-width: 991px) {
    .hf-worldmap-wrapper .hf-worldmap-map-wrap {
        /* max-width: 100%; */
    }
}

@media (max-width: 767px) {
    .hf-worldmap-wrapper .hf-worldmap-text-wrap {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 20px;
    }
}